/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * GuaranteeClassPrices
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class GuaranteeClassPrices {
  @SerializedName("code")
  private String code = null;

  @SerializedName("label")
  private String label = null;

  @SerializedName("total_taxes")
  private BigDecimal totalTaxes = null;

  @SerializedName("premium_after_discount_excl_tax")
  private BigDecimal premiumAfterDiscountExclTax = null;

  public GuaranteeClassPrices code(String code) {
    this.code = code;
    return this;
  }

   /**
   * Code of guarantee class.
   * @return code
  **/
  @ApiModelProperty(example = "medical", value = "Code of guarantee class.")
  public String getCode() {
    return code;
  }

  public void setCode(String code) {
    this.code = code;
  }

  public GuaranteeClassPrices label(String label) {
    this.label = label;
    return this;
  }

   /**
   * Label of guarantee class.
   * @return label
  **/
  @ApiModelProperty(example = "Medical Guarantees.", value = "Label of guarantee class.")
  public String getLabel() {
    return label;
  }

  public void setLabel(String label) {
    this.label = label;
  }

  public GuaranteeClassPrices totalTaxes(BigDecimal totalTaxes) {
    this.totalTaxes = totalTaxes;
    return this;
  }

   /**
   * Total amount of taxes of the guarantee class, numeric with 2 decimals.
   * @return totalTaxes
  **/
  @ApiModelProperty(example = "10.02", value = "Total amount of taxes of the guarantee class, numeric with 2 decimals.")
  public BigDecimal getTotalTaxes() {
    return totalTaxes;
  }

  public void setTotalTaxes(BigDecimal totalTaxes) {
    this.totalTaxes = totalTaxes;
  }

  public GuaranteeClassPrices premiumAfterDiscountExclTax(BigDecimal premiumAfterDiscountExclTax) {
    this.premiumAfterDiscountExclTax = premiumAfterDiscountExclTax;
    return this;
  }

   /**
   * Premium discounted of the guarantee class, excluding taxes, numeric with 2 decimals.
   * @return premiumAfterDiscountExclTax
  **/
  @ApiModelProperty(value = "Premium discounted of the guarantee class, excluding taxes, numeric with 2 decimals.")
  public BigDecimal getPremiumAfterDiscountExclTax() {
    return premiumAfterDiscountExclTax;
  }

  public void setPremiumAfterDiscountExclTax(BigDecimal premiumAfterDiscountExclTax) {
    this.premiumAfterDiscountExclTax = premiumAfterDiscountExclTax;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    GuaranteeClassPrices guaranteeClassPrices = (GuaranteeClassPrices) o;
    return Objects.equals(this.code, guaranteeClassPrices.code) &&
        Objects.equals(this.label, guaranteeClassPrices.label) &&
        Objects.equals(this.totalTaxes, guaranteeClassPrices.totalTaxes) &&
        Objects.equals(this.premiumAfterDiscountExclTax, guaranteeClassPrices.premiumAfterDiscountExclTax);
  }

  @Override
  public int hashCode() {
    return Objects.hash(code, label, totalTaxes, premiumAfterDiscountExclTax);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class GuaranteeClassPrices {\n");
    
    sb.append("    code: ").append(toIndentedString(code)).append("\n");
    sb.append("    label: ").append(toIndentedString(label)).append("\n");
    sb.append("    totalTaxes: ").append(toIndentedString(totalTaxes)).append("\n");
    sb.append("    premiumAfterDiscountExclTax: ").append(toIndentedString(premiumAfterDiscountExclTax)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

